# CyclesLampSettings(PropertyGroup)

base classes — `bpy_struct`, `PropertyGroup`

class `bpy.types.``CyclesLampSettings`(PropertyGroup)
  `cast_shadow`

    Lamp casts shadows

    Type: | boolean, default True

  `is_portal`

    Use this area lamp to guide sampling of the background, note that this will make the lamp invisible

    Type: | boolean, default False

  `max_bounces`

    Maximum number of bounces the light will contribute to the render

    Type: | int in [0, 1024], default 1024

  `samples`

    Number of light samples to render for each AA sample

    Type: | int in [1, 10000], default 1

  `use_multiple_importance_sampling`

    Use multiple importance sampling for the lamp, reduces noise for area lamps and sharp glossy materials

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` | `PropertyGroup.name`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Lamp.cycles` |